import React from 'react';

declare type TConfiguredApplets<T> = {
    [K in keyof T]: React.FC;
};
interface IAppletConfig {
    host: string;
    context?: any;
}
declare function configureApplets<T>(config: {
    [K in keyof T]: IAppletConfig;
}): TConfiguredApplets<T>;

declare const useAppletContext: () => any;

declare const initializeApplet: (name: string, Applet: React.FC, developmentContext?: any) => void;

export { configureApplets, initializeApplet, useAppletContext };
